@media( max-width: 1640px ) {
    body, html {
        font-size: 16px;
    }
    .siteNavigation .menu-items a {
        font-size: 0.9rem;
    }   
    .featured-post .postMeta .postMeta-title {
        font-size: 1.8rem;
    }
    .lps-title {
        font-size: 1.45rem;
    }
    .ca-theme-6 .ca-post-single .ca-post-title {
        font-size: 1.5rem;
    }
}

@media( max-width: 1260px ) {
    .lps-title {
        font-size: 1.3rem;
    }
    .featured-post .postMeta .postMeta-title {
        font-size: 1.65rem;
    }
    .lps-category,
    .lps-date,
    .featured-post .postMeta .postMeta-description,
    .featured-post .postMeta .postMeta-category {
        font-size: 0.8rem;
    }
    
}

@media( max-width: 991px ) {
    .siteLogo {
        width: 80px;
    }
    .siteHeader,
    .siteContent {
        padding-inline: 1.5rem;
    }
    .searchForm-input input {
        width: 100%;
        height: 3rem;
    }
    .hamburger-menu {
        width: 1.5rem;
        height: 1rem;
        cursor: pointer;
        position: relative;
    }
    .hamburger-menu > span {
        position: absolute;
        left: 0;
        height: 0.2rem;
        background: var(--accent-color);
        width: 100%;
        display: block;
    }
    .hamburger-menu > span::after,
    .hamburger-menu > span::before {
        position: absolute;
        inset: 0;
        content: "";
        background: var(--accent-color);
    }
    .hamburger-menu > span::after {
        transform: translateY(-200%);
    }
    .hamburger-menu > span::before {
        transform: translateY(200%);
    }
    .siteNavigation {
        position: fixed;
        z-index: 99;
        top: 0;
        right: 0;
        background: black;
        width: 80%;
        max-width: 300px;
        height: 100vh;
        box-shadow: rgba(0, 0, 0, 0) -20px 54px 55px;
        padding: 2rem;
        transform: translateX(110%);
        transition: all 0.4s ease-in-out;
    }
    .siteNavigation.show {
        transform: translateX(0%);
        box-shadow: rgba(0, 0, 0, 0.25) -20px 54px 55px, rgba(0, 0, 0, 0.12) -20px -12px 30px, rgba(0, 0, 0, 0.12) -20px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    }
    .siteNavigation .menu-items {
        flex-direction: column;
        overflow-y: scroll;
        max-height: 90vh;
    }
    .siteNavigation .menu-items a {
        color: white !important;
    }
    .siteNavigation .closeNav {
        position: absolute;
        width: 1.2rem;
        height: 1.2rem;
        top: 1rem;
        right: 1rem;
        z-index: 2;
    }
    .siteNavigation .closeNav::after,
    .siteNavigation .closeNav::before {
        position: absolute;
        content: "";
        top: 50%;
        left: 0;
        right: 0;
        height: 0.1rem;
        background: white;
        transform-origin: center center;
    }
    .siteNavigation .closeNav::after {
        transform: translateY(-50%) rotate(45deg);
    }
    .siteNavigation .closeNav::before {
        transform: translateY(-50%) rotate(-45deg);
    }
    .top-bar {
        padding-bottom: 0;
    }
}

@media( max-width: 767px ) {
    .latest-posts {
        gap: 1rem;
    }
    .ca-post-single .ca-post-title {
        font-size: 1.1rem;
    }
}

@media(  max-width: 510px ) {
    .featured-post .postMeta .postMeta-description span {
        overflow: hidden;
        display: block;
        height: 5.6rem;
    }
}
